XnHash::Iterator Class Reference

`#include <XnHash.h>`

Inheritance diagram for XnHash::Iterator:
[legend]

## Public Member Functions

| Iterator (const Iterator &other)
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator & | operator-- ()
Iterator | operator-- (int)
XnKey & | Key () const
XnValue & | Value () const
Public Member Functions inherited from XnHash::ConstIterator
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
const XnKey & | Key () const
const XnValue & | Value () const
XnNode * | GetNode ()
const XnNode * | GetNode () const

## Protected Member Functions

| Iterator (const XnHash *pHash, XnUInt16 nBin, XnList::Iterator listIterator)
| Iterator (const XnHash *pHash)
| Iterator (const ConstIterator &other)
Protected Member Functions inherited from XnHash::ConstIterator
| ConstIterator (const XnHash *pHash, XnUInt16 nBin, XnList::Iterator listIterator)
| ConstIterator (const XnHash *pHash)

## Friends

class | XnHash

## Additional Inherited Members

Protected Attributes inherited from XnHash::ConstIterator
const XnHash * | m_pHash
XnUInt16 | m_nCurrentBin
XnList::Iterator | m_Iterator

## Detailed Description

Iterator to the XnHash

## Constructor & Destructor Documentation

## Iterator() [1/4]

XnHash::Iterator::Iterator | ( | const Iterator & | other | ) |

inline

Copy constructor

Parameters

  other | [in] instance to copy from

## Iterator() [2/4]

XnHash::Iterator::Iterator | ( | const XnHash * | pHash,
|  | XnUInt16 | nBin,
|  | XnList::Iterator | listIterator )

inline protected

constructor to be used from inside the XnHash

Parameters

  pHash | [in] The hash to which the iterator belongs
  nBin | [in] The bin of the current object
  listIterator | [in] Iterator on the bin (each bin is a XnList)

## Iterator() [3/4]

XnHash::Iterator::Iterator | ( | const XnHash * | pHash | ) |

inline protected

constructor to be used from inside the XnHash. It points to the first value in the hash.

Parameters

  pHash | [in] The hash to which the iterator belongs

## Iterator() [4/4]

XnHash::Iterator::Iterator | ( | const ConstIterator & | other | ) |

inline protected

## Member Function Documentation

## Key()

XnKey & XnHash::Iterator::Key | ( |  | ) | const

inline

Get the key of the current object (const version)

## operator++() [1/2]

Iterator & XnHash::Iterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

Iterator XnHash::Iterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

Iterator & XnHash::Iterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the next object in the list

## operator--() [2/2]

Iterator XnHash::Iterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the next object in the list, returning the old value

## Value()

XnValue & XnHash::Iterator::Value | ( |  | ) | const

inline

Get the value of the current object (const version)

## Friends And Related Symbol Documentation

## XnHash

friend class XnHash

friend

The documentation for this class was generated from the following file:

- XnHash.h